View Issue Details

IDProjectCategoryView StatusLast Update
0000051After The Collapse[All Projects] Mannequin (Lua API)public2018-10-31 21:32
ReporterantigravitiesAssigned Toantigravities 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.4 - Early Access 
Summary0000051: Mannequin.Timer does not correctly count seconds
DescriptionA rewrite of the class should be required, and we probably shouldn't base our timing on frames.
TagsNo tags attached.

Activities

EsKa

2018-09-18 22:50

administrator   ~0000033

yeah frames might be a problem, especially if people disable vsync or stuff like that. I generally base it around Monogame's internal clock (GameTime passed by Monogame as a parameter with each update() call, it's also saved somewhere in AGBaseBase (SRLWorld's parent) RecordedGameTime each time the update() is called.

antigravities

2018-09-18 22:57

manager   ~0000034

Right now it works on both frames (Timer:After()) and time (Timer:AfterSeconds()), but I want to make it work with just time and fire the callback on the next frame at or after the target time.

Originally I enabled waiting for frames to allow for frame-perfect operations, but allowing decimals for :After() would probably be good enough.

Issue History

Date Modified Username Field Change
2018-09-18 22:44 antigravities New Issue
2018-09-18 22:44 antigravities Status new => assigned
2018-09-18 22:44 antigravities Assigned To => antigravities
2018-09-18 22:50 EsKa Note Added: 0000033
2018-09-18 22:57 antigravities Note Added: 0000034
2018-09-23 12:12 antigravities Status assigned => resolved
2018-09-23 12:12 antigravities Resolution open => fixed
2018-09-23 12:12 antigravities Fixed in Version => 0.4 - Early Access
2018-10-31 21:32 EsKa Status resolved => closed